<?php
/**
 * The loop that displays a single post.
 *
 * The loop displays the posts and the post content. See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * This can be overridden in child themes with loop-single.php.
 * Actually this is what I did ;)
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.2
 * 
 * 
 * Relevant for Artiss Social Bookmarks Plugin is line 41 and 42, more info here: http://www.artiss.co.uk/social-bookmarks
 
 Starting in line 56 we have the code for the author boxes. I got the most relevant Info on this part here: http://theitechblog.com/928/display-multiple-authors-author-box-below-article-wordpress/
 For coauthors plus support be sure not to miss the functions.php file, where we have further relevant code
 
 */
?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

    			<div id="nav-above" class="navigation">
					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'twentyten' ) . '</span> %title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'twentyten' ) . '</span>' ); ?></div>
				</div><!-- #nav-above -->

				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<h1 class="entry-title"><?php the_title(); ?></h1>

					<div class="entry-meta">
						<?php twentyten_posted_on(); ?>
					</div><!-- .entry-meta -->

					<div class="entry-content">
						<?php the_content(); ?>
                        <?php if ( function_exists( 'social_bookmarks' ) ) {
                            echo social_bookmarks( 'default=off&delicious=on&digg=on&blogger=on&bloggy=on&blogkeen=on&bloglines=on&blogmarks=on&blogpoint=on&comments=on&cosmiq=on&diaspora=on&facebook=on&favoriten_de=on&friendfeed=on&friendster=on&googlebookmarks=on&googlebuzz=on&reader=on&googleplus=on&hackernews=on&identica=on&jappy=on&ladenzeile=on&linkedin=on&livejournal=on&meinvz=on&messenger=on&misterwong=on&misterwong_de=on&myspace=on&netvibes=on&pingfm=on&pinterest=on&posterous=on&reddit=on&scoopat=on&scoopit=on&scoopeo=on&soupio=on&studivz=on&stumbleupon=on&technorati=on&tumblr=on&tweetmeme=on&twitter=on&typepad=on&urlaubswerkde=on&webnews_de=on&wordpress=on&xing=on&yahoobookmarks=on&yahoobuzz=on&yahoomessenger=on&yigg=on&email=on&gmail=on&googletranslate=on&hootsuite=on&hotmail=on&instapaper=on&osxdashboard=on&page2rss=on&printfriendly=on&yahoomail=on' );} ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'twentyten' ), 'after' => '</div>' ) ); ?>
					</div><!-- .entry-content -->






<!-- hier muß für coauthors plus geändert werden, siehe hier: http://vip.wordpress.com/documentation/incorporate-co-authors-plus-template-tags-into-your-theme/ -->



<?php /**
 * Show multiple Co-Author biography fields at the bottom of a single post
 * This snippet should be placed within The Loop
 */
if ( class_exists( 'coauthors_plus' ) ) { 
    
 $i = new CoAuthorsIterator(); 

while($i->iterate()){ 
if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  
        			echo '<div id="entry-author-info">
						<div id="author-avatar">';
							echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentyten_author_bio_avatar_size', 60 ) );
						echo '</div><!-- #author-avatar -->
						<div id="author-description">
							<h2>'; printf( __( 'About %s', 'twentyten' ), get_the_author() ); echo '</h2>';
							the_author_meta( 'description' );
							echo '<div id="author-link">
								<a href="'; echo get_author_posts_url( get_the_author_meta( 'ID' ) ); echo'" rel="author">';
									printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'twentyten' ), get_the_author() );
								echo '</a>
							</div><!-- #author-link	-->
						</div><!-- #author-description -->
					</div><!-- #entry-author-info -->';
endif;



}
 }
else{ 
 if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  
    				echo '<div id="entry-author-info">
						<div id="author-avatar">';
							echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentyten_author_bio_avatar_size', 60 ) );
						echo '</div><!-- #author-avatar -->
						<div id="author-description">
							<h2>'; printf( __( 'About %s', 'twentyten' ), get_the_author() ); echo '</h2>';
							the_author_meta( 'description' );
							echo '<div id="author-link">
								<a href="'; echo get_author_posts_url( get_the_author_meta( 'ID' ) ); echo'" rel="author">';
									printf( __( 'View all posts by %s <span class="meta-nav">&rarr;</span>', 'twentyten' ), get_the_author() );
								echo '</a>
							</div><!-- #author-link	-->
						</div><!-- #author-description -->
					</div><!-- #entry-author-info -->';
endif;
    
    
    
    
}
 ?>

					
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    
                    <div class="entry-utility">
						<?php twentyten_posted_in(); ?>
						<?php edit_post_link( __( 'Edit', 'twentyten' ), '<span class="edit-link">', '</span>' ); ?>
					</div><!-- .entry-utility -->
				</div><!-- #post-## -->

				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'twentyten' ) . '</span> %title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'twentyten' ) . '</span>' ); ?></div>
				</div><!-- #nav-below -->

				<?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop. ?>
